%global goipath github.com/go-mail/mail
Version:        2.0.0

%gometa

%global v2_goipath     gopkg.in/v2/mail
%global v2_goipath_sec gopkg.in/mail.v2

%global v2_goipath_name %gorpmname %{v2_goipath}
%global v2_goipath_sec_name %gorpmname %{v2_goipath_sec}

Name:           %{goname}-v2
Release:        1%{?dist}
Summary:        Gomail is a simple and efficient package to send emails
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  utf8proc shared-mime-info

# /etc/mime.types
BuildRequires:  mailcap


%description
%{summary}.


%build
true


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}.

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.

%package -n %{v2_goipath_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v2_goipath_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v2_goipath} prefix.

%package -n %{v2_goipath_sec_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v2_goipath_sec_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v2_goipath_sec} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall
%goinstall -i %{v2_goipath} -o v2-devel.file-list
%goinstall -i %{v2_goipath_sec} -o v2-sec-devel.file-list


%check
%define gotestflags -v
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE

%files -n %{v2_goipath_name}-devel -f v2-devel.file-list
%license LICENSE
%doc README.md

%files -n %{v2_goipath_sec_name}-devel -f v2-sec-devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Mar 22 2019 Mark Goodwin <mgoodwin@redhat.com> - 2.0.0-1
- First package for Fedora
